### File

`packages/eui/packages/components-next/src/lib/layout/eui-page/components/eui-page-column/eui-page-column.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-page-column`
templateUrl | `./eui-page-column.component.html`

### Index

###### Properties
Public asService currentOffset customFooterContent customHeaderBodyContent customHeaderCollapsedContent customHeaderLeftContent customHeaderRightContent isActive isHeaderBodyShrinked previousOffset treshHold
###### Methods
Public onMouseEnter Public onMouseLeave Public onToggle
###### Inputs
hasHeaderBodyShrinkable hasSidebarMenu interactiveScrollbars isCollapsed isCollapsedWithIcons isCollapsible isHighlighted label size
###### Outputs
collapsed headerCollapsed
###### HostBindings
class
###### HostListeners
window:scroll

### Constructor

`constructor(asService: UxAppShellService)`
Parameters :
Name | Type | Optional
asService | `UxAppShellService` | No

### Inputs

hasHeaderBodyShrinkable
Default value : `false`

hasSidebarMenu
Default value : `false`

interactiveScrollbars
Default value : `true`

isCollapsed
Default value : `false`

isCollapsedWithIcons
Default value : `false`

isCollapsible
Default value : `false`

isHighlighted
Default value : `false`

label

size

### Outputs

collapsed
Type : `EventEmitter`

headerCollapsed
Type : `EventEmitter`

### HostBindings

class

### HostListeners

window:scroll
Arguments : `'$event'`
`window:scroll(event)`

### Methods

Public onMouseEnter
`onMouseEnter()`
Returns : `void`

Public onMouseLeave
`onMouseLeave()`
Returns : `void`

Public onToggle
`onToggle()`
Returns : `void`

### Properties

Public asService
Type : `UxAppShellService`

currentOffset
Type : `number`
Default value : `0`

customFooterContent
Type : `QueryList<EuiPageColumnFooterContentDirective>`
Decorators : `@ContentChild(undefined)`

customHeaderBodyContent
Type : `QueryList<EuiPageColumnHeaderBodyContentDirective>`
Decorators : `@ContentChild(undefined)`

customHeaderCollapsedContent
Type : `QueryList<EuiPageColumnHeaderCollapsedContentDirective>`
Decorators : `@ContentChild(undefined)`

customHeaderLeftContent
Type : `QueryList<EuiPageColumnHeaderLeftContentDirective>`
Decorators : `@ContentChild(undefined)`

customHeaderRightContent
Type : `QueryList<EuiPageColumnHeaderRightContentDirective>`
Decorators : `@ContentChild(undefined)`

isActive
Default value : `false`

isHeaderBodyShrinked
Default value : `false`

previousOffset
Type : `number`
Default value : `0`

treshHold
Type : `number`
Default value : `50`

# result-matching ""

# No results matching ""